Bug 991692 - Fedora become unbootable after swap partition reformat
Summary: Fedora become unbootable after swap partition reformat
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-03 17:21 UTC by Mikhail
Modified: 2018-11-30 17:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:39:57 UTC


Attachments (Terms of Use)
screen with error message (106.47 KB, image/jpeg)
2013-08-03 18:00 UTC, Mikhail
no flags Details
1.5m waiting for nothing (306.46 KB, image/jpeg)
2017-07-26 16:48 UTC, Mikhail
no flags Details

Description Mikhail 2013-08-03 17:21:22 UTC
Description of problem:
For increasing swap partition I unmount and reformat it and mount again without rebooting. System continued works fine before the first reboot. After reboot I see error message: "dracut-initqueue[164]: Warning: Could nor boot.
dracut-initqueue[164]: /dev/disk/by-uuid/54ac3463-e95c-4d76-9289-66e88ccfd810 does not exists"

after it I booting in rescue mode and fix UUID for swap partition in /etc/fstab

# blkid
/dev/sda1: UUID="90b71223-a0eb-4dd8-a6c5-b41b658a6831" TYPE="ext4" 
/dev/sda2: UUID="822292e1-6cdb-4112-a1e0-cdb4f788d78f" TYPE="swap" 
/dev/sdb: LABEL="home" UUID="e918a5c8-34fc-4794-8073-cf6c0aee0359" TYPE="ext4" 
/dev/sdf1: UUID="2013-06-27-17-22-08-00" LABEL="Fedora-Live-Desktop-x86_64-19-1" TYPE="iso9660" PTTYPE="dos" 
/dev/sdf2: SEC_TYPE="msdos" LABEL="EFI" UUID="3D53-18A8" TYPE="vfat" 
/dev/sdf3: UUID="753e960e-cae9-3081-bc59-2891027e76f8" LABEL="Fedora Live" TYPE="hfsplus" 

[root@localhost ~]# cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Sat Jul 20 09:04:07 2013
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=90b71223-a0eb-4dd8-a6c5-b41b658a6831 /                       ext4    defaults        1 1
UUID=e918a5c8-34fc-4794-8073-cf6c0aee0359 /home                   ext4    defaults        1 2
UUID=822292e1-6cdb-4112-a1e0-cdb4f788d78f /mnt/822292e1-6cdb-4112-a1e0-cdb4f788d78f swap defaults 0 0

but it not help solve this problem.

I need rebuild initramfs* files??? How I can do it? And why fstab changing not applied to boot automatically?

Comment 1 Mikhail 2013-08-03 18:00:59 UTC
Created attachment 782345 [details]
screen with error message

Comment 2 Harald Hoyer 2013-08-05 08:44:48 UTC
Boot with the rescue grub entry.
# dracut -f --regenerate-all

https://fedoraproject.org/wiki/Features/DracutHostOnly#Release_Notes

I will make this more failure proof.

Dracut currently expects the swap partition to show up, so it can resume from suspend-to-disk.

Comment 3 Matthew Stoltenberg 2014-08-30 02:03:58 UTC
anything I can do to help get this fixed?  I ran into this tonight, and it took me longer than I'd like to admit figure out...

Comment 4 Harald Hoyer 2014-09-08 11:32:43 UTC
(In reply to Matthew Stoltenberg from comment #3)
> anything I can do to help get this fixed?  I ran into this tonight, and it
> took me longer than I'd like to admit figure out...

should be fixed in F20 and F21

Comment 5 Fedora End Of Life 2015-01-09 19:15:45 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Mikhail 2015-01-10 17:51:06 UTC
(In reply to Harald Hoyer from comment #4)
> (In reply to Matthew Stoltenberg from comment #3)
> > anything I can do to help get this fixed?  I ran into this tonight, and it
> > took me longer than I'd like to admit figure out...
> 
> should be fixed in F20 and F21

Don't understand what means by "fixed" ?
I repeated experiment and broke system again.
Why systemd can't find automatically "swap" partition and ignore all non critical errors.
Of course system can continue working without swap and /home partitions but currently we have problems with boot if they is unavailable :(

Comment 7 peter 2015-01-15 00:24:33 UTC
I have my system woken up from suspend to ram, but it does not found the swap partition and stopped at dracut#. All I see is /run/initramfs/rdsosreport.txt file was generated, I shuld copy it to usb device or /boot. I have no access to /boot or any other partition. The problem exists on my system since two days, I had access via liveuser (usb) and executed dracut as described above. It worked one time, the system started, worked in kde some minutes and then ~/.config/kscreenlocker/greetrc can not be saved and the same for drkokirc. The desktop is frozen, I had to reboot but no chance. The rescue image doesn't start anyway, has trouble with the missing swap Partition. I'm on FC 21 daily updates.

Comment 8 Marcin Zajaczkowski 2015-05-24 12:23:31 UTC
Today I installed Fedora 22 beta using another partition and by the way I reformatted SWAP. My fully updated Fedora 21 refused to boot with the error message similar to mentioned by the reported. So it doesn't seem to be "fixed".

Comment 9 Fedora End Of Life 2015-11-04 11:08:18 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Jan Kurik 2016-02-24 13:12:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 11 Martin Steigerwald 2016-06-14 10:31:04 UTC
Related:

Bug 1346231 - unbootable after removing swap partition

In there for LVM I describe a way on how to use a system without swap.

Comment 12 Martin Steigerwald 2016-06-14 10:44:23 UTC
I do get the resume from hibernation case, but I think an initramfs shall *never* *ever* boot an outdated hibernation image, as it may lead to severe data loss (been there, recovered from that using xfs_repair a long time ago).

I understand that there is some challenge to make sure of that. One way would be to store hibernation image id into /boot/something and then on a further reboot *without* resuming, remove that hibernation marker again. Then only resume from hibernation if the hibernation image id is *same* as the one in /boot/something. And also don´t resume if /boot/something has no hibernation image id.

Comment 13 Fedora End Of Life 2017-07-25 18:33:48 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Martin Steigerwald 2017-07-26 06:59:05 UTC
Mikhail, if you still want to have this fixed, you´d need to update that. I am not allowed to do it. Thanks, Martin

Comment 15 Mikhail 2017-07-26 16:47:28 UTC
I re-tested, now format the swap partition does not make the system unbootable. The only thing I did not like was that the system was waiting for 1.5m nothing doing. Therefore, I ask here a question: It possible to mounting the swap partition in parallel, without stopping the system load? Let these 1.5 minutes pass after I log in GNOME and begin working with system.

Comment 16 Mikhail 2017-07-26 16:48:20 UTC
Created attachment 1304917 [details]
1.5m waiting for nothing

Comment 17 Jan Kurik 2017-08-15 07:07:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 18 Ben Cotton 2018-11-27 18:37:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2018-11-30 17:39:57 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.